#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	aom
Version		:	3.6.1
Release		:	17.0.10.rel%{?dist}
Summary		:	Royalty-free next-generation video format

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSD-3-Clause
URL		:	http://aomedia.org/

Source0		:	lib%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	nasm

Requires	:	%{name}-libs = %{version}-%{release}
#-----------------------------------------------------------------------------
%description
The Alliance for Open Medias focus is to deliver a next-generation
video format that is:
 
 - Interoperable and open;
 - Optimized for the Internet;
 - Scalable to any modern device at any bandwidth;
 - Designed with a low computational footprint and optimized for hardware;
 - Capable of consistent, highest-quality, real-time video delivery; and
 - Flexible for both commercial and non-commercial content, including
   user-generated content.
 
This package contains the reference encoder and decoder.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS CHANGELOG README.md
%license LICENSE PATENTS
%{_bindir}/%{name}dec
%{_bindir}/%{name}enc

#=============================================================================
%package		devel
Summary		:	Development files for aom

Requires	:	%{name}-libs = %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
Development files for aom, the royalty-free
next-generation video format.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/%{name}*.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

#=============================================================================
%package		libs
Summary		:	Library files for aom

#-----------------------------------------------------------------------------
%description		libs
Library files for aom, the royalty-free
next-generation video format.

#-----------------------------------------------------------------------------
%files			libs
%defattr(-,root,root,-)
%license LICENSE PATENTS
%{_libdir}/lib%{name}.so.3*

#=============================================================================
%prep
%setup -q -n lib%{name}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

cmake							\
	-S .						\
	-B _build					\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}		\
	-D CMAKE_BUILD_TYPE=Release			\
	-D BUILD_SHARED_LIBS=1				\
	-D ENABLE_DOCS=no				\
	-D ENABLE_NASM=yes				\
	-G Ninja


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
ninja 							\
	-C _build					\
	%{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
        ninja						\
        -C _build					\
        install

#To remove static library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.a					\
	-delete

#-----------------------------------------------------------------------------
%changelog
